## gwydion-dylan 2.3.8pre1-1

=== doc/Makefile ===
# Generated automatically from Makefile.in by configure.
prefix=/usr
MANDIR=${prefix}/man
INSTALL=/usr/bin/install -c
INSTALL_DATA=${INSTALL} -m 644
DESTDIR=

default: compile

.PHONY: default compile install clean

compile:
	-echo 'Nothing to do.'

install: compile
	${INSTALL_DATA} dylan.7 ${DESTDIR}${MANDIR}/man7/dylan.7
	${INSTALL_DATA} gwydion.7 ${DESTDIR}${MANDIR}/man7/gwydion.7
	${INSTALL_DATA} d2c.1 ${DESTDIR}${MANDIR}/man1/d2c.1
	${INSTALL_DATA} dybug.1 ${DESTDIR}${MANDIR}/man1/dybug.1
	${INSTALL_DATA} mindy.1 ${DESTDIR}${MANDIR}/man1/mindy.1
	${INSTALL_DATA} mindycomp.1 ${DESTDIR}${MANDIR}/man1/mindycomp.1
	${INSTALL_DATA} mindyexec.1 ${DESTDIR}${MANDIR}/man1/mindyexec.1
	${INSTALL_DATA} melange.1 ${DESTDIR}${MANDIR}/man1/melange.1
	${INSTALL_DATA} parsergen.1 ${DESTDIR}${MANDIR}/man1/parsergen.1
	${INSTALL_DATA} make-dylan-app.1 \
		${DESTDIR}${MANDIR}/man1/make-dylan-app.1
	${INSTALL_DATA} platforms.descr.4 \
		${DESTDIR}${MANDIR}/man4/platforms.descr.4

uninstall:
	rm -f ${DESTDIR}${MANDIR}/man7/dylan.7
	rm -f ${DESTDIR}${MANDIR}/man7/gwydion.7
	rm -f ${DESTDIR}${MANDIR}/man1/d2c.1
	rm -f ${DESTDIR}${MANDIR}/man1/dybug.1
	rm -f ${DESTDIR}${MANDIR}/man1/mindy.1
	rm -f ${DESTDIR}${MANDIR}/man1/mindycomp.1
	rm -f ${DESTDIR}${MANDIR}/man1/mindyexec.1
	rm -f ${DESTDIR}${MANDIR}/man1/melange.1
	rm -f ${DESTDIR}${MANDIR}/man1/parsergen.1
	rm -f ${DESTDIR}${MANDIR}/man1/make-dylan-app.1
	rm -f ${DESTDIR}${MANDIR}/man4/platforms.descr.4

clean:
	-echo 'Nothing to do.'

=== mindy/comp/Makefile ===
# Generated automatically from Makefile.in by configure.
######################################################################
##
## Copyright (c) 1994  Carnegie Mellon University
## Copyright (c) 1998, 1999, 2000  Gwydion Dylan Maintainers
## All rights reserved.
## 
## Use and copying of this software and preparation of derivative
## works based on this software are permitted, including commercial
## use, provided that the following conditions are observed:
## 
## 1. This copyright notice must be retained in full on any copies
##    and on appropriate parts of any derivative works.
## 2. Documentation (paper or online) accompanying any system that
##    incorporates this software, or any part of it, must acknowledge
##    the contribution of the Gwydion Project at Carnegie Mellon
##    University, and the Gwydion Dylan Maintainers.
## 
## This software is made available "as is".  Neither the authors nor
## Carnegie Mellon University make any warranty about the software,
## its performance, or its conformity to any specification.
## 
## Bug reports should be sent to <gd-bugs@gwydiondylan.org>; questions,
## comments and suggestions are welcome at <gd-hackers@gwydiondylan.org>.
## Also, see http://www.gwydiondylan.org/ for updates and documentation. 
##
######################################################################
##
##  $Header: /home/cvsroot/gd/src/mindy/comp/Makefile.in,v 1.8 2000/10/31 14:18:48 dauclair Exp $
##
##  This is the makefile for the Mindy byte-compiler.
##

SHELL	=	/bin/sh

##
## begin autoconf'ed source
##

prefix	=		/usr
exec_prefix	=	${prefix}
exe_ext = 
srcdir	=		/home/bfulgham/packages/gwydion-dylan/gwydion-dylan-2.3.8pre1/mindy/comp

SRCDIR	=		${srcdir}
CONFIGDIR =		/home/bfulgham/packages/gwydion-dylan/gwydion-dylan-2.3.8pre1
BINDIR	=		${exec_prefix}/bin
LIBDIR	=		${exec_prefix}/lib/dylan
DESTDIR =

CC	=		gcc
CCOPTS	=		-g -O2 -Wall
CFLAGS	=		$(CCOPTS) -I${SRCDIR} -I${CONFIGDIR} -DHAVE_CONFIG_H -DBINDIR=\"${BINDIR}\" -DLIBDIR=\"${LIBDIR}\"
CFLAGS_NO_WERROR =      `echo $(CFLAGS) | sed 's/-Werror//g'`
YACC	=		bison -y
YFLAGS	=		-d
LEX	=		flex
LFLAGS	=		-i
RANLIB	=		ranlib
INSTALL	=		/usr/bin/install -c
INSTALL_PROGRAM	=	${INSTALL}
INSTALL_DATA	=	${INSTALL} -m 644

LIBOBJS =		 matherr.o shl.o
LIBS	=		../compat/libcompat.a  -lm -lreadline -ldl

##
## end of configure written portion
##

OBJS = mindycomp.o parser-tab.o lexer-tab.o src.o sym.o print.o expand.o \
	literal.o info.o lose.o lexenv.o envanal.o compile.o header.o \
	dump.o free.o dup.o feature.o

SRCS = mindycomp.c parser-tab.c lexer-tab.c src.c sym.c print.c expand.c \
	literal.c info.c lose.c lexenv.c envanal.c compile.c header.c \
	dump.c free.c dup.c feature.c

mindycomp$(exe_ext): ${OBJS}
	${CC} ${OBJS} -DVERSION=\""`/bin/date`"\" ${SRCDIR}/version.c ${LIBS} -o ,$@
	mv ,$@ $@

${SRCDIR}/parser-tab.c: ${SRCDIR}/parser.y
	${YACC} -d ${SRCDIR}/parser.y
	mv y.tab.c ${SRCDIR}/parser-tab.c
	mv y.tab.h ${SRCDIR}/parser-tab.h

${SRCDIR}/parser-tab.h: ${SRCDIR}/parser-tab.c

${SRCDIR}/lexer-tab.c: ${SRCDIR}/lexer.l
	${LEX} -t ${LFLAGS} ${SRCDIR}/lexer.l > ${SRCDIR}/lexer-tab.c

clean:
	rm -f ${OBJS} version.o mindycomp$(exe_ext) *~ \#* core

realclean:
	rm -f ${OBJS} version.o parser-tab.c parser-tab.h lexer-tab.c mindycomp$(exe_ext) Makefile *~ \#* core

install: mindycomp$(exe_ext)
	${INSTALL_PROGRAM} mindycomp$(exe_ext) ${DESTDIR}${BINDIR}/mindycomp$(exe_ext)

# It's easiest to generate this part by machine.
# Try gcc -MM -E *.c | perl ../etc/generate-depends

compile.o:  ${SRCDIR}/compile.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindycomp.h \
              ${SRCDIR}/src.h ${SRCDIR}/dump.h ${SRCDIR}/lexenv.h \
              ${SRCDIR}/envanal.h ${SRCDIR}/sym.h ${SRCDIR}/literal.h \
              ${SRCDIR}/compile.h ${SRCDIR}/byteops.h ${SRCDIR}/info.h \
              ${SRCDIR}/lose.h
	${CC} -c ${CFLAGS} ${SRCDIR}/compile.c

dump.o:  ${SRCDIR}/dump.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/../compat/std-os.h \
           ${SRCDIR}/mindycomp.h ${SRCDIR}/src.h ${SRCDIR}/literal.h \
           ${SRCDIR}/sym.h ${SRCDIR}/fileops.h ${SRCDIR}/compile.h \
           ${SRCDIR}/dump.h ${SRCDIR}/version.h ${SRCDIR}/envanal.h \
           ${SRCDIR}/lose.h
	${CC} -c ${CFLAGS} ${SRCDIR}/dump.c

dup.o:  ${SRCDIR}/dup.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindycomp.h \
          ${SRCDIR}/src.h ${SRCDIR}/literal.h ${SRCDIR}/free.h \
          ${SRCDIR}/lose.h ${SRCDIR}/dup.h
	${CC} -c ${CFLAGS} ${SRCDIR}/dup.c

envanal.o:  ${SRCDIR}/envanal.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindycomp.h \
              ${SRCDIR}/src.h ${SRCDIR}/lexenv.h ${SRCDIR}/envanal.h \
              ${SRCDIR}/sym.h ${SRCDIR}/lose.h
	${CC} -c ${CFLAGS} ${SRCDIR}/envanal.c

expand.o:  ${SRCDIR}/expand.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindycomp.h \
             ${SRCDIR}/src.h ${SRCDIR}/literal.h ${SRCDIR}/dup.h \
             ${SRCDIR}/free.h ${SRCDIR}/sym.h ${SRCDIR}/expand.h \
             ${SRCDIR}/info.h ${SRCDIR}/lose.h
	${CC} -c ${CFLAGS} ${SRCDIR}/expand.c

feature.o:  ${SRCDIR}/feature.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindycomp.h \
              ${SRCDIR}/feature.h ${SRCDIR}/lexer.h ${SRCDIR}/src.h \
              ${SRCDIR}/parser-tab.h ${SRCDIR}/sym.h
	${CC} -c ${CFLAGS} ${SRCDIR}/feature.c

free.o:  ${SRCDIR}/free.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindycomp.h \
           ${SRCDIR}/src.h ${SRCDIR}/literal.h ${SRCDIR}/free.h \
           ${SRCDIR}/lose.h
	${CC} -c ${CFLAGS} ${SRCDIR}/free.c

header.o:  ${SRCDIR}/header.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindycomp.h \
             ${SRCDIR}/header.h
	${CC} -c ${CFLAGS} ${SRCDIR}/header.c

info.o:  ${SRCDIR}/info.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindycomp.h \
           ${SRCDIR}/src.h ${SRCDIR}/sym.h ${SRCDIR}/info.h
	${CC} -c ${CFLAGS} ${SRCDIR}/info.c

lexenv.o:  ${SRCDIR}/lexenv.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindycomp.h \
             ${SRCDIR}/src.h ${SRCDIR}/lexenv.h
	${CC} -c ${CFLAGS} ${SRCDIR}/lexenv.c

lexer-tab.o:  ${SRCDIR}/lexer-tab.c ${SRCDIR}/lexer.h ${SRCDIR}/src.h \
                ${SRCDIR}/parser-tab.h
	${CC} -c ${CFLAGS_NO_WERROR} ${SRCDIR}/lexer-tab.c

literal.o:  ${SRCDIR}/literal.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindycomp.h \
              ${SRCDIR}/literal.h ${SRCDIR}/lose.h
	${CC} -c ${CFLAGS} ${SRCDIR}/literal.c

lose.o:  ${SRCDIR}/lose.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/lose.h
	${CC} -c ${CFLAGS} ${SRCDIR}/lose.c

mindycomp.o:  ${SRCDIR}/mindycomp.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/../compat/std-os.h \
                ${SRCDIR}/mindycomp.h ${SRCDIR}/parser.h ${SRCDIR}/src.h \
                ${SRCDIR}/print.h ${SRCDIR}/expand.h ${SRCDIR}/envanal.h \
                ${SRCDIR}/lexer.h ${SRCDIR}/header.h ${SRCDIR}/sym.h \
                ${SRCDIR}/info.h ${SRCDIR}/compile.h ${SRCDIR}/dump.h \
                ${SRCDIR}/feature.h ${SRCDIR}/lose.h
	${CC} -c ${CFLAGS} ${SRCDIR}/mindycomp.c

parser-tab.o:  ${SRCDIR}/parser-tab.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindycomp.h \
                 ${SRCDIR}/header.h ${SRCDIR}/parser.h ${SRCDIR}/lexer.h \
                 ${SRCDIR}/feature.h ${SRCDIR}/literal.h ${SRCDIR}/src.h \
                 ${SRCDIR}/sym.h
	${CC} -c ${CFLAGS} ${SRCDIR}/parser-tab.c

print.o:  ${SRCDIR}/print.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindycomp.h \
            ${SRCDIR}/src.h ${SRCDIR}/sym.h ${SRCDIR}/literal.h \
            ${SRCDIR}/print.h ${SRCDIR}/lose.h
	${CC} -c ${CFLAGS} ${SRCDIR}/print.c

src.o:  ${SRCDIR}/src.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindycomp.h \
          ${SRCDIR}/sym.h ${SRCDIR}/lexer.h ${SRCDIR}/literal.h \
          ${SRCDIR}/src.h ${SRCDIR}/info.h ${SRCDIR}/lose.h
	${CC} -c ${CFLAGS} ${SRCDIR}/src.c

sym.o:  ${SRCDIR}/sym.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindycomp.h \
          ${SRCDIR}/sym.h
	${CC} -c ${CFLAGS} ${SRCDIR}/sym.c

version.o:  ${SRCDIR}/version.c ${SRCDIR}/version.h
	${CC} -c ${CFLAGS} ${SRCDIR}/version.c

=== mindy/compat/Makefile ===
# Generated automatically from Makefile.in by configure.
######################################################################
##
## Copyright (c) 1994  Carnegie Mellon University
## Copyright (c) 1998, 1999, 2000  Gwydion Dylan Maintainers
## All rights reserved.
## 
## Use and copying of this software and preparation of derivative
## works based on this software are permitted, including commercial
## use, provided that the following conditions are observed:
## 
## 1. This copyright notice must be retained in full on any copies
##    and on appropriate parts of any derivative works.
## 2. Documentation (paper or online) accompanying any system that
##    incorporates this software, or any part of it, must acknowledge
##    the contribution of the Gwydion Project at Carnegie Mellon
##    University, and the Gwydion Dylan Maintainers.
## 
## This software is made available "as is".  Neither the authors nor
## Carnegie Mellon University make any warranty about the software,
## its performance, or its conformity to any specification.
## 
## Bug reports should be sent to <gd-bugs@gwydiondylan.org>; questions,
## comments and suggestions are welcome at <gd-hackers@gwydiondylan.org>.
## Also, see http://www.gwydiondylan.org/ for updates and documentation. 
##
######################################################################
##
##  $Header: /home/cvsroot/gd/src/mindy/compat/Makefile.in,v 1.8 2000/11/01 05:25:19 housel Exp $
##
##  This is the makefile for the Mindy compatability library.
##

SHELL	=	/bin/sh

##
## begin autoconf'ed source
##

prefix	=		/usr
exec_prefix	=	${prefix}
srcdir	=		/home/bfulgham/packages/gwydion-dylan/gwydion-dylan-2.3.8pre1/mindy/compat

SRCDIR	=		${srcdir}
CONFIGDIR = 		/home/bfulgham/packages/gwydion-dylan/gwydion-dylan-2.3.8pre1
BINDIR	=		${exec_prefix}/bin
LIBDIR	=		${exec_prefix}/lib/dylan
DESTDIR =

AR      =               ar
CC	=		gcc
CCOPTS	=		-g -O2 -Wall
CFLAGS	=		$(CCOPTS) -I${SRCDIR} -I${CONFIGDIR} -DHAVE_CONFIG_H -DBINDIR=\"${BINDIR}\" -DLIBDIR=\"${LIBDIR}\" -DTARGET=\"x86-linux-gcc\"
YACC	=		bison -y
YFLAGS	=		-d
LEX	=		flex
LFLAGS	=		-i
RANLIB	=		ranlib
INSTALL	=		/usr/bin/install -c
INSTALL_PROGRAM	=	${INSTALL}
INSTALL_DATA	=	${INSTALL} -m 644

LIBOBJS =		 matherr.o shl.o
LIBS	=		 -lm -lreadline -ldl

##
## end of configure written portion
##

OBJS	=	${LIBOBJS} protected.o cygwin.o

SRCS	=	getcwd.c strerror.c strtod.c strtoul.c waitpid.c \
		opendir.c strstr.c strtol.c tmpnam.c sigaction.c \
		protected.c matherr.c memmove.c setsid.c shl.c cygwin.c

ALLOBJS	=	getcwd.o strerror.o strtod.o strtoul.o waitpid.o \
		opendir.o strstr.o strtol.o tmpnam.o sigaction.o \
		protected.o matherr.o memmove.o setsid.c cygwin.o

libcompat.a: ${OBJS}
	${AR} ru libcompat.a ${OBJS}
	${RANLIB} libcompat.a

allobjs: ${ALLOBJS}


clean:
	rm -f ${OBJS} libcompat.a  *~ \#* core

realclean:
	rm -f ${OBJS} libcompat.a Makefile *~ \#* core

install: libcompat.a

# It's easiest to generate this part by machine.
# Try gcc -MM -E *.c | perl ../etc/generate-depends

cygwin.o: ${SRCDIR}/cygwin.c ${SRCDIR}/std-c.h ${SRCDIR}/std-os.h \
	  ${SRCDIR}/cygwin.h
	${CC} -c ${CFLAGS} ${SRCDIR}/cygwin.c

getcwd.o:  ${SRCDIR}/getcwd.c ${SRCDIR}/std-c.h ${SRCDIR}/std-os.h
	${CC} -c ${CFLAGS} ${SRCDIR}/getcwd.c

matherr.o:  ${SRCDIR}/matherr.c ${SRCDIR}/std-c.h ${SRCDIR}/std-os.h
	${CC} -c ${CFLAGS} ${SRCDIR}/matherr.c

memmove.o:  ${SRCDIR}/memmove.c ${SRCDIR}/std-c.h
	${CC} -c ${CFLAGS} ${SRCDIR}/memmove.c

opendir.o:  ${SRCDIR}/opendir.c ${SRCDIR}/std-c.h ${SRCDIR}/std-os.h
	${CC} -c ${CFLAGS} ${SRCDIR}/opendir.c

protected.o:  ${SRCDIR}/protected.c ${SRCDIR}/std-c.h ${SRCDIR}/std-os.h
	${CC} -c ${CFLAGS} ${SRCDIR}/protected.c

rint.o:  ${SRCDIR}/rint.c
	${CC} -c ${CFLAGS} ${SRCDIR}/rint.c

setsid.o:  ${SRCDIR}/setsid.c ${SRCDIR}/std-c.h ${SRCDIR}/std-os.h
	${CC} -c ${CFLAGS} ${SRCDIR}/setsid.c

sigaction.o:  ${SRCDIR}/sigaction.c ${SRCDIR}/std-signal.h
	${CC} -c ${CFLAGS} ${SRCDIR}/sigaction.c

strerror.o:  ${SRCDIR}/strerror.c ${SRCDIR}/std-c.h ${SRCDIR}/std-os.h
	${CC} -c ${CFLAGS} ${SRCDIR}/strerror.c

strstr.o:  ${SRCDIR}/strstr.c
	${CC} -c ${CFLAGS} ${SRCDIR}/strstr.c

shl.o:  ${SRCDIR}/shl.c
	${CC} -c ${CFLAGS} ${SRCDIR}/shl.c

strtod.o:  ${SRCDIR}/strtod.c ${SRCDIR}/std-c.h
	${CC} -c ${CFLAGS} ${SRCDIR}/strtod.c

strtol.o:  ${SRCDIR}/strtol.c
	${CC} -c ${CFLAGS} ${SRCDIR}/strtol.c

strtoul.o:  ${SRCDIR}/strtoul.c
	${CC} -c ${CFLAGS} ${SRCDIR}/strtoul.c

tmpnam.o:  ${SRCDIR}/tmpnam.c
	${CC} -c ${CFLAGS} ${SRCDIR}/tmpnam.c

waitpid.o:  ${SRCDIR}/waitpid.c ${SRCDIR}/std-c.h ${SRCDIR}/std-os.h
	${CC} -c ${CFLAGS} ${SRCDIR}/waitpid.c

=== mindy/etc/Makefile ===
# Generated automatically from Makefile.in by configure.
######################################################################
##
## Copyright (c) 1994  Carnegie Mellon University
## Copyright (c) 1998, 1999, 2000  Gwydion Dylan Maintainers
## All rights reserved.
## 
## Use and copying of this software and preparation of derivative
## works based on this software are permitted, including commercial
## use, provided that the following conditions are observed:
## 
## 1. This copyright notice must be retained in full on any copies
##    and on appropriate parts of any derivative works.
## 2. Documentation (paper or online) accompanying any system that
##    incorporates this software, or any part of it, must acknowledge
##    the contribution of the Gwydion Project at Carnegie Mellon
##    University, and the Gwydion Dylan Maintainers.
## 
## This software is made available "as is".  Neither the authors nor
## Carnegie Mellon University make any warranty about the software,
## its performance, or its conformity to any specification.
## 
## Bug reports should be sent to <gd-bugs@gwydiondylan.org>; questions,
## comments and suggestions are welcome at <gd-hackers@gwydiondylan.org>.
## Also, see http://www.gwydiondylan.org/ for updates and documentation. 
##
######################################################################
##
##  $Header: /home/cvsroot/gd/src/mindy/etc/Makefile.in,v 1.6 2000/10/31 14:26:43 dauclair Exp $
##
##  This is the makefile for the Mindy load and go executive
##	and any other small programs that might be useful.
##

SHELL	=	/bin/sh

##
## begin autoconf'ed source
##

prefix	=		/usr
exec_prefix	=	${prefix}
exe_ext = 
srcdir	=		/home/bfulgham/packages/gwydion-dylan/gwydion-dylan-2.3.8pre1/mindy/etc

SRCDIR	=		${srcdir}
CONFIGDIR = 		/home/bfulgham/packages/gwydion-dylan/gwydion-dylan-2.3.8pre1
BINDIR	=		${exec_prefix}/bin
LIBDIR	=		${exec_prefix}/lib/dylan
DESTDIR =

CC	=		gcc
CCOPTS	=		-g -O2 -Wall
CFLAGS	=		$(CCOPTS) -I${SRCDIR} -I${CONFIGDIR} -DHAVE_CONFIG_H -DBINDIR=\"${BINDIR}\" -DLIBDIR=\"${LIBDIR}\"
YACC	=		bison -y
YFLAGS	=		-d
LEX	=		flex
LFLAGS	=		-i
RANLIB	=		ranlib
INSTALL	=		/usr/bin/install -c
INSTALL_PROGRAM	=	${INSTALL}
INSTALL_DATA	=	${INSTALL} -m 644

LIBOBJS =		 matherr.o shl.o
LIBS	=		../compat/libcompat.a  -lm -lreadline -ldl

##
## end of configure written portion
##

OBJS	= mindyexec.o

SRCS	= mindyexec.c

all:	mindyexec$(exe_ext)

mindyexec$(exe_ext): mindyexec.o
	${CC} mindyexec.o ${LIBS} -o ,$@
	mv ,$@ $@

mindyexec.o: ${SRCDIR}/mindyexec.c
	${CC} -c ${CFLAGS} ${SRCDIR}/mindyexec.c

clean:
	rm -f ${OBJS} mindyexec$(exe_ext) *~ \#* core

realclean:
	rm -f ${OBJS} mindyexec$(exe_ext) Makefile *~ \#* core

install: mindyexec$(exe_ext)
	${INSTALL_PROGRAM} mindyexec$(exe_ext) ${DESTDIR}${BINDIR}/mindyexec$(exe_ext)

=== mindy/interp/Makefile ===
# Generated automatically from Makefile.in by configure.
######################################################################
##
## Copyright (c) 1994  Carnegie Mellon University
## Copyright (c) 1998, 1999, 2000  Gwydion Dylan Maintainers
## All rights reserved.
## 
## Use and copying of this software and preparation of derivative
## works based on this software are permitted, including commercial
## use, provided that the following conditions are observed:
## 
## 1. This copyright notice must be retained in full on any copies
##    and on appropriate parts of any derivative works.
## 2. Documentation (paper or online) accompanying any system that
##    incorporates this software, or any part of it, must acknowledge
##    the contribution of the Gwydion Project at Carnegie Mellon
##    University, and the Gwydion Dylan Maintainers.
## 
## This software is made available "as is".  Neither the authors nor
## Carnegie Mellon University make any warranty about the software,
## its performance, or its conformity to any specification.
## 
## Bug reports should be sent to <gd-bugs@gwydiondylan.org>; questions,
## comments and suggestions are welcome at <gd-hackers@gwydiondylan.org>.
## Also, see http://www.gwydiondylan.org/ for updates and documentation. 
##
######################################################################
##
##  $Header: /home/cvsroot/gd/src/mindy/interp/Makefile.in,v 1.16 2001/03/23 21:59:39 housel Exp $
##
##  This is the makefile for the Mindy byte-interpreter.
##

SHELL	=	/bin/sh

##
## begin autoconf'ed source
##

prefix	=		/usr
exec_prefix	=	${prefix}
exe_ext = 
srcdir	=		/home/bfulgham/packages/gwydion-dylan/gwydion-dylan-2.3.8pre1/mindy/interp
top_srcdir =		/home/bfulgham/packages/gwydion-dylan/gwydion-dylan-2.3.8pre1

SRCDIR	=		${srcdir}
CONFIGDIR =		/home/bfulgham/packages/gwydion-dylan/gwydion-dylan-2.3.8pre1
BINDIR	=		${exec_prefix}/bin
LIBDIR	=		${exec_prefix}/lib/dylan/2.3.8pre1/x86-linux-gcc
DESTDIR =

TIME	=		${top_srcdir}/common/time

CC	=		gcc
CCOPTS	=		-g -O2 -Wall
CFLAGS	=		$(CCOPTS) -I${SRCDIR} -I${CONFIGDIR} -I. -DHAVE_CONFIG_H -DBINDIR=\"${BINDIR}\" -DLIBDIR=\"${LIBDIR}\" -DVERSION=\"2.3.8pre1\" -DTARGET=\"x86-linux-gcc\"
CFLAGS_NO_WERROR =      `echo $(CFLAGS) | sed 's/-Werror//g'`
YACC	=		bison -y
YFLAGS	=		-d
LEX	=		flex
LFLAGS	=		-i
RANLIB	=		ranlib
PERL    =               perl
INSTALL	=		/usr/bin/install -c
INSTALL_PROGRAM	=	${INSTALL}
INSTALL_DATA	=	${INSTALL} -m 644

LIBOBJS =		 matherr.o shl.o
LIBS	=		../compat/libcompat.a  -lm -lreadline -ldl

##
## end of configure written portion
##

OBJS = parser-tab.o lexer.o \
	bool.o class.o coll.o debug.o def.o error.o func.o gc.o init.o \
	interp.o list.o lose.o mindy.o misc.o module.o nlx.o num.o \
	obj.o print.o str.o sym.o thread.o type.o load.o value.o vec.o \
	char.o handler.o instance.o input.o driver.o \
	table.o fd.o buf.o weak.o brkpt.o extern.o ext-init.o \
	time-portability.o

SRCS = parser-tab.c lexer.c \
	bool.c class.c coll.c debug.c def.c error.c func.c gc.c init.c \
	interp.c list.c lose.c mindy.c misc.c module.c nlx.c num.c \
	obj.c print.c str.c sym.c thread.c type.c load.c value.c vec.c \
	char.c handler.c instance.c input.c driver.c \
	table.c fd.c buf.c weak.c brkpt.c extern.c ext-init.c \
	${TIME}/time-portability.c

EXTERN-INCLUDES = ${SRCDIR}/malloc.inc ${TIME}/time.inc

mindy$(exe_ext): ${OBJS} ../compat/libcompat.a
	${CC} ${OBJS} ${LIBS} -o ,$@
	mv -f ,$@ $@

${SRCDIR}/parser-tab.c: ${SRCDIR}/parser.y
	${YACC} -d ${SRCDIR}/parser.y
	mv y.tab.c ${SRCDIR}/parser-tab.c
	mv y.tab.h ${SRCDIR}/parser-tab.h

${SRCDIR}/parser-tab.h: ${SRCDIR}/parser-tab.c

extern1.def extern2.def: $(EXTERN-INCLUDES) make-init.pl
	$(PERL) make-init.pl $(EXTERN-INCLUDES)
	mv ,extern1.def extern1.def
	mv ,extern2.def extern2.def

clean:
	rm -f ${OBJS} mindy$(exe_ext) *~ \#* core

realclean:
	rm -f ${OBJS} mindy$(exe_ext) parser-tab.c parser-tab.h lexer-tab.c Makefile *~ \#* core extern[12].def

install: mindy$(exe_ext)
	${INSTALL_PROGRAM} mindy$(exe_ext) ${DESTDIR}${BINDIR}/mindy$(exe_ext)

# It's easiest to generate this part by machine.
# Try gcc -MM -E *.c | perl ../etc/generate-depends

bool.o:  ${SRCDIR}/bool.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
           ${SRCDIR}/print.h ${SRCDIR}/gc.h ${SRCDIR}/class.h \
           ${SRCDIR}/obj.h ${SRCDIR}/bool.h ${SRCDIR}/def.h \
           ${SRCDIR}/list.h
	${CC} -c ${CFLAGS} ${SRCDIR}/bool.c

brkpt.o:  ${SRCDIR}/brkpt.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
            ${SRCDIR}/weak.h ${SRCDIR}/thread.h ${SRCDIR}/driver.h \
            ${SRCDIR}/gc.h ${SRCDIR}/interp.h ${SRCDIR}/bool.h \
            ${SRCDIR}/print.h ${SRCDIR}/../comp/byteops.h ${SRCDIR}/brkpt.h
	${CC} -c ${CFLAGS} ${SRCDIR}/brkpt.c

buf.o:  ${SRCDIR}/buf.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
          ${SRCDIR}/gc.h ${SRCDIR}/coll.h ${SRCDIR}/class.h \
          ${SRCDIR}/module.h ${SRCDIR}/num.h ${SRCDIR}/bool.h \
          ${SRCDIR}/obj.h ${SRCDIR}/error.h ${SRCDIR}/list.h \
          ${SRCDIR}/def.h ${SRCDIR}/sym.h ${SRCDIR}/type.h \
          ${SRCDIR}/vec.h ${SRCDIR}/str.h ${SRCDIR}/buf.h
	${CC} -c ${CFLAGS} ${SRCDIR}/buf.c

char.o:  ${SRCDIR}/char.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
           ${SRCDIR}/obj.h ${SRCDIR}/gc.h ${SRCDIR}/class.h \
           ${SRCDIR}/num.h ${SRCDIR}/bool.h ${SRCDIR}/error.h \
           ${SRCDIR}/print.h ${SRCDIR}/list.h ${SRCDIR}/type.h \
           ${SRCDIR}/def.h ${SRCDIR}/char.h
	${CC} -c ${CFLAGS} ${SRCDIR}/char.c

class.o:  ${SRCDIR}/class.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
            ${SRCDIR}/gc.h ${SRCDIR}/type.h ${SRCDIR}/list.h \
            ${SRCDIR}/sym.h ${SRCDIR}/bool.h ${SRCDIR}/obj.h \
            ${SRCDIR}/error.h ${SRCDIR}/def.h ${SRCDIR}/print.h \
            ${SRCDIR}/class.h ${SRCDIR}/extern.h ${SRCDIR}/instance.h
	${CC} -c ${CFLAGS} ${SRCDIR}/class.c

coll.o:  ${SRCDIR}/coll.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
           ${SRCDIR}/class.h ${SRCDIR}/obj.h ${SRCDIR}/gc.h \
           ${SRCDIR}/coll.h ${SRCDIR}/def.h ${SRCDIR}/list.h \
           ${SRCDIR}/bool.h ${SRCDIR}/sym.h
	${CC} -c ${CFLAGS} ${SRCDIR}/coll.c

debug.o:  ${SRCDIR}/debug.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/../compat/std-os.h \
            ${SRCDIR}/mindy.h ${SRCDIR}/thread.h ${SRCDIR}/driver.h \
            ${SRCDIR}/func.h ${SRCDIR}/module.h ${SRCDIR}/str.h \
            ${SRCDIR}/list.h ${SRCDIR}/vec.h ${SRCDIR}/type.h \
            ${SRCDIR}/sym.h ${SRCDIR}/num.h ${SRCDIR}/obj.h \
            ${SRCDIR}/bool.h ${SRCDIR}/print.h ${SRCDIR}/interp.h \
            ${SRCDIR}/value.h ${SRCDIR}/error.h ${SRCDIR}/gc.h \
            ${SRCDIR}/brkpt.h ${SRCDIR}/instance.h ${SRCDIR}/../comp/byteops.h
	${CC} -c ${CFLAGS} ${SRCDIR}/debug.c

def.o:  ${SRCDIR}/def.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
          ${SRCDIR}/module.h ${SRCDIR}/sym.h ${SRCDIR}/thread.h \
          ${SRCDIR}/func.h ${SRCDIR}/list.h ${SRCDIR}/bool.h \
          ${SRCDIR}/obj.h ${SRCDIR}/def.h ${SRCDIR}/type.h \
          ${SRCDIR}/instance.h ${SRCDIR}/error.h ${SRCDIR}/class.h
	${CC} -c ${CFLAGS} ${SRCDIR}/def.c

driver.o:  ${SRCDIR}/driver.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/../compat/std-os.h \
             ${SRCDIR}/mindy.h ${SRCDIR}/gc.h ${SRCDIR}/thread.h \
             ${SRCDIR}/driver.h ${SRCDIR}/bool.h ${SRCDIR}/interp.h \
             ${SRCDIR}/fd.h
	${CC} -c ${CFLAGS} ${SRCDIR}/driver.c

error.o:  ${SRCDIR}/error.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
            ${SRCDIR}/str.h ${SRCDIR}/thread.h ${SRCDIR}/module.h \
            ${SRCDIR}/sym.h ${SRCDIR}/list.h ${SRCDIR}/vec.h \
            ${SRCDIR}/type.h ${SRCDIR}/def.h ${SRCDIR}/bool.h \
            ${SRCDIR}/obj.h ${SRCDIR}/print.h ${SRCDIR}/func.h \
            ${SRCDIR}/driver.h
	${CC} -c ${CFLAGS} ${SRCDIR}/error.c

ext-init.o:  ${SRCDIR}/ext-init.c ${SRCDIR}/mindy.h ${SRCDIR}/gc.h \
               ${SRCDIR}/bool.h ${SRCDIR}/extern.h ${SRCDIR}/error.h \
               extern1.def extern2.def
	${CC} -c ${CFLAGS} -fno-builtin ${SRCDIR}/ext-init.c

extern.o:  ${SRCDIR}/extern.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
             ${SRCDIR}/gc.h ${SRCDIR}/obj.h ${SRCDIR}/bool.h \
             ${SRCDIR}/char.h ${SRCDIR}/list.h ${SRCDIR}/type.h \
             ${SRCDIR}/class.h ${SRCDIR}/def.h ${SRCDIR}/sym.h \
             ${SRCDIR}/module.h ${SRCDIR}/error.h ${SRCDIR}/thread.h \
             ${SRCDIR}/func.h ${SRCDIR}/extern.h ${SRCDIR}/num.h \
             ${SRCDIR}/str.h ${SRCDIR}/print.h ${SRCDIR}/coll.h
	${CC} -c ${CFLAGS} ${SRCDIR}/extern.c

fd.o:  ${SRCDIR}/fd.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/../compat/std-os.h \
         ${SRCDIR}/mindy.h ${SRCDIR}/list.h ${SRCDIR}/bool.h \
         ${SRCDIR}/thread.h ${SRCDIR}/func.h ${SRCDIR}/driver.h \
         ${SRCDIR}/buf.h ${SRCDIR}/str.h ${SRCDIR}/num.h \
         ${SRCDIR}/obj.h ${SRCDIR}/def.h ${SRCDIR}/fd.h
	${CC} -c ${CFLAGS} ${SRCDIR}/fd.c

func.o:  ${SRCDIR}/func.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
           ${SRCDIR}/gc.h ${SRCDIR}/thread.h ${SRCDIR}/bool.h \
           ${SRCDIR}/list.h ${SRCDIR}/num.h ${SRCDIR}/class.h \
           ${SRCDIR}/obj.h ${SRCDIR}/sym.h ${SRCDIR}/interp.h \
           ${SRCDIR}/vec.h ${SRCDIR}/type.h ${SRCDIR}/module.h \
           ${SRCDIR}/print.h ${SRCDIR}/driver.h ${SRCDIR}/error.h \
           ${SRCDIR}/def.h ${SRCDIR}/extern.h ${SRCDIR}/coll.h \
           ${SRCDIR}/func.h
	${CC} -c ${CFLAGS} ${SRCDIR}/func.c

gc.o:  ${SRCDIR}/gc.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
         ${SRCDIR}/class.h ${SRCDIR}/gc.h ${SRCDIR}/weak.h \
         ${SRCDIR}/table.h ${SRCDIR}/module.h ${SRCDIR}/bool.h \
         ${SRCDIR}/sym.h ${SRCDIR}/num.h ${SRCDIR}/error.h \
         ${SRCDIR}/thread.h ${SRCDIR}/func.h ${SRCDIR}/def.h \
         ${SRCDIR}/list.h ${SRCDIR}/str.h ${SRCDIR}/obj.h
	${CC} -c ${CFLAGS} ${SRCDIR}/gc.c

handler.o:  ${SRCDIR}/handler.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
              ${SRCDIR}/class.h ${SRCDIR}/gc.h ${SRCDIR}/obj.h \
              ${SRCDIR}/def.h ${SRCDIR}/thread.h ${SRCDIR}/func.h \
              ${SRCDIR}/list.h ${SRCDIR}/bool.h ${SRCDIR}/sym.h \
              ${SRCDIR}/type.h ${SRCDIR}/handler.h
	${CC} -c ${CFLAGS} ${SRCDIR}/handler.c

init.o:  ${SRCDIR}/init.c ${SRCDIR}/init.h
	${CC} -c ${CFLAGS} ${SRCDIR}/init.c

input.o:  ${SRCDIR}/input.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/../compat/std-os.h \
            ${SRCDIR}/mindy.h ${SRCDIR}/char.h ${SRCDIR}/list.h \
            ${SRCDIR}/bool.h ${SRCDIR}/thread.h ${SRCDIR}/func.h \
            ${SRCDIR}/driver.h ${SRCDIR}/error.h ${SRCDIR}/def.h \
            ${SRCDIR}/fd.h
	${CC} -c ${CFLAGS} ${SRCDIR}/input.c

instance.o:  ${SRCDIR}/instance.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
               ${SRCDIR}/gc.h ${SRCDIR}/obj.h ${SRCDIR}/class.h \
               ${SRCDIR}/list.h ${SRCDIR}/vec.h ${SRCDIR}/type.h \
               ${SRCDIR}/bool.h ${SRCDIR}/module.h ${SRCDIR}/num.h \
               ${SRCDIR}/thread.h ${SRCDIR}/func.h ${SRCDIR}/sym.h \
               ${SRCDIR}/value.h ${SRCDIR}/error.h ${SRCDIR}/driver.h \
               ${SRCDIR}/def.h ${SRCDIR}/print.h ${SRCDIR}/instance.h
	${CC} -c ${CFLAGS} ${SRCDIR}/instance.c

interp.o:  ${SRCDIR}/interp.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/mindy.h \
             ${SRCDIR}/gc.h ${SRCDIR}/thread.h ${SRCDIR}/driver.h \
             ${SRCDIR}/func.h ${SRCDIR}/bool.h ${SRCDIR}/list.h \
             ${SRCDIR}/class.h ${SRCDIR}/obj.h ${SRCDIR}/module.h \
             ${SRCDIR}/value.h ${SRCDIR}/num.h ${SRCDIR}/vec.h \
             ${SRCDIR}/sym.h ${SRCDIR}/error.h ${SRCDIR}/type.h \
             ${SRCDIR}/brkpt.h ${SRCDIR}/interp.h ${SRCDIR}/../comp/byteops.h
	${CC} -c ${CFLAGS} ${SRCDIR}/interp.c

lexer.o:  ${SRCDIR}/lexer.c ${SRCDIR}/../compat/std-c.h ${SRCDIR}/../compat/std-os.h \
            ${SRCDIR}/mindy.h ${SRCDIR}/lexer.h ${SRCDIR}/parser.h \
            ${SRCDIR}/parser-tab.h ${SRCDIR}/list.h ${SRCDIR}/char.h \

=== debian/changelog ===
gwydion-dylan (2.3.8pre1-1) unstable; urgency=low

  * Latest upstream.
  * Corrections for various PR#'s (see http://www.gwydiondylan.org for
    more details.)
  * Correct spelling error (Closes:Bug#124716).
  * Applied semi-fix for PowerPC (Ref:  Bug#135084).  Leaving bug open until
    we have a real solution.

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 26 Feb 2002 20:27:17 -0800

gwydion-dylan (2.3.6release-1) unstable; urgency=low

  * Inlined functions now work.
  * Bignum optimizations.
  * Profiling with gprof now works.
  * Upstream release of 2.3.6 version.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 29 Dec 2001 19:30:05 -0800

gwydion-dylan (2.3.6pre2cvs11102001-1) unstable; urgency=low

  * Upstream changes
  * More DUIM additions (font-select)
  * Updates to support single-file mode.
  * Support for clas-level slots.
  * More clean-up and minor optimizations.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 10 Nov 2001 23:18:13 -0800

gwydion-dylan (2.3.6pre2cvs10182001-1) unstable; urgency=low

  * Upstream optimizations to compiler.
  * Implementation of DUIM/GTK+ file-select and directory-select browsers.
  * You can create DUIM apps using 'make-dylan-app -d' syntax.
  * Merging fer-transforms into optimizer.
  * Cleanups to the compiler
  * More Alpha fixes (Thanks to Christopher Chimelis <chris@debian.org>)

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu, 18 Oct 2001 19:51:45 -0700

gwydion-dylan (2.3.6pre2cvs09272001-1) unstable; urgency=low

  * Correct build rules for multiple architectures in BOOTSTRAP path.

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 28 Sep 2001 19:55:25 -0700

gwydion-dylan (2.3.6pre2cvs09222001-1) unstable; urgency=low

  * Correct problem with mindy bootstrap.  (Closes:Bug#112286)
  * Clean up some 32-bit-isms.  Many thanks to Christopher Chimelis
    for his many patches.
  * More DUIM/GTK enhancements and bug fixes.

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 21 Sep 2001 20:12:44 -0700

gwydion-dylan (2.3.6pre1cvs09102001-2) unstable; urgency=low

  * Add build dependency for libgtk1.2-dev.  (Closes:Bug#107775)
  * Add build dependency for automake. (Closes:Bug#112107)

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed, 12 Sep 2001 15:11:37 -0700

gwydion-dylan (2.3.6pre1cvs09102001-1) unstable; urgency=low

  * Current CVS.
  * DUIM/GTK+ stuff should now work.

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 10 Sep 2001 22:31:31 -0700

gwydion-dylan (2.3.6pre1cvs08012001-2) unstable; urgency=low

  * Another update, this time with semi-working gtk bindings.
  * Updated to newer Boehm GC, which should build cleanly on
    more architectures.
  * Added build dependency on libgtk1.2-dev.  (Closes:Bug#107775)

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 24 Aug 2001 22:54:46 -0700

gwydion-dylan (2.3.6pre1cvs08012001-1) unstable; urgency=low

  * New release.  Incorporates updates to the garbage collector,
    fixes for c-parser, updates to the ffi interface, and the
    underpinings for a soon-to-come DUIM (graphical toolkit
    based on GTK).
  * Updated build-depends and run aclocal.  (Closes:Bug#107272)

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed,  1 Aug 2001 21:38:46 -0700

gwydion-dylan (2.3.6pre1cvs07242001-1) unstable; urgency=low

  * New release, with lots of new features and some optimizations
    and bug-fixes identified during the ICFP2001 contest.
  * Better name, correct mindy package to include its own libraries.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun, 29 Jul 2001 19:57:01 -0700

gwydion-dylan (2.3.5release-2) unstable; urgency=low

  * Added some needed build-depends.

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 16 Jul 2001 19:52:06 -0700

gwydion-dylan (2.3.5release-1) unstable; urgency=low

  * Rebuilt with better directory structure.

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed, 27 Jun 2001 20:41:06 -0700

gwydion-dylan (2.3.5final-1) unstable; urgency=low

  * Minor shuffling to correct some package dependency problems.
    'gwydion-dylan'     = The Runtime
    'gwydion-dylan-dev' = The compiler and tools
    'mindy'             = The interpreter
    (Closes:Bug#95871)
  * Fix to a minor bug in Mindy that caused it to fail if the
    path to the Dylan runtime was not specified as a command-line
    parameter.
  * The real release!

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 21 May 2001 19:52:32 -0700

gwydion-dylan (2.3.5-3) unstable; urgency=low

  * A bunch of minor fixes for DOS-style line endings so 'd2c' doesn't
    crash if someone sends you a file edited under DOS.
  * Really and Truly 2.3.5 Finally!

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 21 Apr 2001 16:46:13 -0700

gwydion-dylan (2.3.5-2) unstable; urgency=low

  * The almost-but-not-quite 2.3.5 version.  Now with a fix for
    slot initializations, some string optimizations, and more
    bug fixes.

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 17 Apr 2001 18:01:31 -0700

gwydion-dylan (2.3.5-1) unstable; urgency=low

  * This is really 2.3.5pre2 -- Now with class slots, and New Boehm GC.
  * Also includes some fixes to allow buildling on the Alpha, PowerPC,
    and SPARC architectures.  (Closes:Bug#89886)
  * Some predicate logic in the Makefile to only bootstrap when needed.
    Hope it works!  :-)
  * Make sure configure is present.  (Closes:Bug#91232).

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 23 Mar 2001 21:09:43 -0800

gwydion-dylan (2.3.4-3) unstable; urgency=low

  * A few final tweaks to get everything to search the right directories.
  * Get 'parsergen' manpage into -dev where it belongs.

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu, 22 Mar 2001 19:23:11 -0800

gwydion-dylan (2.3.4-2) unstable; urgency=low

  * Fixes for Alpha architecture.
  * Fixes for autobuilders.

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 20 Mar 2001 20:31:38 -0800

gwydion-dylan (2.3.4-1) unstable; urgency=low

  * New upstream version.


=== debian/control ===
Source: gwydion-dylan
Section: devel
Priority: optional
Maintainer: Brent A. Fulgham <bfulgham@debian.org>
Standards-Version: 3.5.4.0
Build-Depends: sharutils, perl-base, perl5, debhelper, libtool, autoconf, automake, flex, libgtk1.2-dev

Package: gwydion-dylan
Architecture: any
Depends: gcc, ${shlibs:Depends}
Recommends: gwydion-dylan-dev
Suggests: mindy
Description: The Gwydion Dylan Runtime Environment
 This package contains the libraries and other files needed to
 run programs compiled with the Gwydion Dylan compiler (d2c).
 .
 At some point in the (hopefully near) future, this package will
 contain the Gwydion Dylan Listener, which will allow interactive
 exploration of the language.
 .
 For more information, see the Gwydion Dylan maintainers' web page at
 <http://www.gwydiondylan.org/>.

Package: gwydion-dylan-dev
Architecture: any
Depends: gwydion-dylan, ${shlibs:Depends}
Suggests: mindy
Description: Gwydion Dylan Development Tools
 CMU's Gwydion Dylan provides d2c, a Dylan-to-C batch compiler. It produces
 fairly efficient output but requires strange incantations to compile even
 simple programs. Tools for interfacing with C are included. (The Mindy
 bytecode interpreter is available as a separate package.) If you're really
 excited about writing Dylan programs for Linux--and don't mind the
 inconveniences of d2c--these are the tools to use. If you prefer a mature
 development environment, try another language.
 .
 This package contains the tools necessary to recompile d2c. They 
 include a LISP to Dylan translator, a parser generator, and various
 tools for maintaining the build tree. This package also contains a 
 few general-purpose development utilities written in Dylan.

Package: mindy
Architecture: any
Depends: ${shlibs:Depends}
Suggests: gwydion-dylan
Description: A Dylan interpreter.
 Mindy is a Dylan bytecode interpreter, originally written as part of CMU's
 Gwydion Dylan project. It compiles faster than d2c and includes much better
 debugging tools. Unfortunately, Mindy makes no attempt to run fast.
 .
 Documentation for Mindy can be found in the main gwydion-dylan package, or
 on the web at <http://www.gwydiondylan.org/>.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

STYLE=$(shell if [ -f "/usr/bin/d2c" ]; then echo "normal"; 	\
	else echo "bootstrap";					\
	fi)
VERSION=2.3.6pre2
MACHINE=$(shell uname -m)
ifeq ("$(MACHINE)", "sparc64")
	MACHINE=sparc
endif

bootstrap-stage1:  bootstrap-stage1-stamp
bootstrap-stage1-stamp:
	# Following is needed for bootstrapping
ifeq ("$(STYLE)", "bootstrap")
		libtoolize --force
		aclocal
		autoconf
		./configure --with-readline \
				--prefix=/usr \
				--enable-mindy-bootstrap \
				--enable-duim=no \
				--with-gnu-ld \
				--with-site-dylan-prefix=/usr
		libtoolize --force
		$(MAKE)
		$(MAKE) DESTDIR=`pwd`/debian/bootstrap install
		mkdir `pwd`/bootstrap_compiler
		ln -sf `pwd`/debian/bootstrap/usr/bin/d2c `pwd`/bootstrap_compiler

		rm -f config.cache
endif

	touch bootstrap-stage1-stamp

bootstrap-stage2:	bootstrap-stage2-stamp
bootstrap-stage2-stamp:  bootstrap-stage1-stamp
ifeq ("$(STYLE)", "bootstrap")
		PATH=`pwd`/debian/bootstrap/usr/bin:$(PATH); \
		    LD_LIBRARY_PATH=`pwd`/debian/bootstrap/usr/lib/dylan/$(VERSION)/$(MACHINE)-linux-gcc:$(LD_LIBRARY_PATH); \
		    ./configure --with-readline \
				--prefix=/usr \
				--enable-duim=no \
				--with-site-dylan-prefix=/usr \
				--with-gnu-ld \
				--with-existing-runtime=`pwd`/debian/bootstrap/usr/lib/dylan/$(VERSION)/$(MACHINE)-linux-gcc
		# End Bootstrapping portion

		touch bootstrap-stage2-stamp
	
		# Add here commands to compile the package.

		export PATH=`pwd`/debian/bootstrap/usr/bin:$(PATH); \
		    export LD_LIBRARY_PATH=`pwd`/debian/bootstrap/usr/lib/dylan/$(VERSION)/$(MACHINE)-linux-gcc:$(LD_LIBRARY_PATH); \
		    $(MAKE)
endif

	touch bootstrap-stage2-stamp
	

build: config build-stamp
build-stamp: bootstrap-stage1-stamp bootstrap-stage2-stamp
ifeq ("$(STYLE)", "normal")

		dh_testdir
		aclocal
		autoconf

		# Add here commands to compile the package.

		$(MAKE)
endif

	touch build-stamp


config: config-stamp
config-stamp:
ifeq ("$(STYLE)", "normal")
		libtoolize --force
		aclocal
		autoconf
		./configure --with-readline \
			--prefix=/usr \
			--with-site-dylan-prefix=/usr \
			--with-gnu-ld
		libtoolize --force
endif
	
	touch config-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp config-stamp bootstrap-stage1-stamp bootstrap-stage2-stamp
	rm -rf `pwd`/bootstrap_compiler
	rm -rf `pwd`/debian/bootstrap
	rm -f config.cache

	# Add here commands to clean up after the build process.
	-$(MAKE) bootstrap_clean

	chmod 0755 `pwd`/debian/delMakefiles
	chmod 0755 `pwd`/debian/delStatics
	`pwd`/debian/delMakefiles `pwd`
	`pwd`/debian/delStatics `pwd`
	-rm -f `pwd`/d2c/compiler/main/d2c.dbc
	-rm -f `pwd`/ltconfig
	-rm -f `pwd`/ltmain.sh
	-rm -f `pwd`/config.guess
	-rm -f `pwd`/config.sub

	dh_clean

install: install-stamp
install-stamp: build-stamp

	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_installdocs CREDITS NEWS ONEWS.html README

	# Add here commands to install the package into debian/tmp.
	$(MAKE) DESTDIR=`pwd`/debian/tmp install

	# First, put everything in FSSTD-compliant places
	mv `pwd`/debian/tmp/usr/man/* `pwd`/debian/tmp/usr/share/man

	# Now, copy some manpages
	cp `pwd`/debian/gen-makefile.1 `pwd`/debian/tmp/usr/share/man/man1
	cp `pwd`/debian/make-dylan-lib.1 `pwd`/debian/tmp/usr/share/man/man1
	cp `pwd`/debian/mk-build-tree.1 `pwd`/debian/tmp/usr/share/man/man1
	cp `pwd`/debian/line-count.1 `pwd`/debian/tmp/usr/share/man/man1

	# Get rid of non-Debian directories and stuff
	rm -rf `pwd`/debian/tmp/usr/man
	rm -f `pwd`/debian/tmp/usr/bin/mk-rcs-links

	# Finally, put some stuff in a sane state
	chmod 0644 `pwd`/debian/tmp/usr/include/*
	chmod 0755 `pwd`/debian/tmp/usr/share/dylan
	chmod 0644 `pwd`/debian/tmp/usr/share/dylan/*

	dh_movefiles

	# Make sure we don't have a bunch of extra stuff in Mindy
	rm -rf `pwd`/debian/mindy/usr/share/man/man4
	rm -rf `pwd`/debian/mindy/usr/share/man/man7
	rm -f `pwd`/debian/mindy/usr/share/man/man1/d2c*
	rm -f `pwd`/debian/mindy/usr/share/man/man1/dybug*
	rm -f `pwd`/debian/mindy/usr/share/man/man1/make*
	rm -f `pwd`/debian/mindy/usr/share/man/man1/mk*
	rm -f `pwd`/debian/mindy/usr/share/man/man1/melange*
	rm -f `pwd`/debian/mindy/usr/share/man/man1/parsergen*
	rm -f `pwd`/debian/mindy/usr/share/man/man1/gen*
	rm -f `pwd`/debian/mindy/usr/share/man/man1/line*

	# Make sure we don't have a bunch of extra stuff in Dev
	rm -rf `pwd`/debian/gwydion-dylan-dev/usr/share/man/man7
	rm -f `pwd`/debian/gwydion-dylan-dev/usr/share/man/man1/mindy*

	# Make sure we don't have a bunch of extra stuff in Dylan
	rm -rf `pwd`/debian/gwydion-dylan/share/man/man1/man1
	rm -rf `pwd`/debian/gwydion-dylan-dev/share/man/man4

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## gwydion-dylan 2.4.0RC3+2.4.0

=== common/network/Makefile ===
all: network-test getaddrinfo-test

sockets-api.dylan: sockets-api.intr sockets-helper.h
	melange --d2c -I`gcc --print-file-name=include` sockets-api.intr sockets-api.dylan

gettimeofday.dylan: gettimeofday.intr
	melange --d2c -I`gcc --print-file-name=include` gettimeofday.intr gettimeofday.dylan

network.lib.du: network.lid library.dylan sockets-api.dylan Makefile
	d2c -g network.lid

network-test: network-test.lid network-test-imports.dylan network-test.dylan network.lib.du Makefile gettimeofday.dylan
	d2c -g network-test.lid

getaddrinfo-test: getaddrinfo-test.dylan network.lib.du Makefile
	d2c -g getaddrinfo-test.dylan

clean:
	-rm *.o *.lo *.c *.mak *~ *.du *.a *.la network-test

=== d2c/debugger/Makefile ===
debugger: exports.dylan dlfcn.dylan introspection.dylan debugger.lid
	d2c debugger.lid

dlfcn.dylan: dlfcn.intr
	melange --d2c -I `gcc --print-file-name=include` dlfcn.intr dlfcn.dylan, && mv dlfcn.dylan, dlfcn.dylan

clean:
	-rm *.c *.o *.mak debugger dlfcn.dylan *~

=== platform/cocoa/Makefile ===
default:	build

build:
	make -C cocoa
	make -C cocoa-test

clean:
	make clean -C cocoa
	make clean -C cocoa-test

=== platform/cocoa/cocoa-test/Makefile ===
export CCFLAGS = -ObjC

cocoa-test: cocoa-test.lid cocoa-test.dylan cocoa-test-exports.dylan
	d2c -L../cocoa cocoa-test.lid
	../tools/compose-cocoa-app cocoa-test

clean:
	-rm -f *.o *.s *.a *.c *.mak  *~ cocoa-test
	-rm -rf *.app *.app.old .libs

=== platform/cocoa/cocoa/Makefile ===
default: compile

export CCFLAGS = -ObjC -Wno-long-double -no-cpp-precomp

flat-cocoa.h:
	cc -traditional-cpp -dD -E -Wno-four-char-constants -arch ppc -Wp,-lang-objc -P \
		-o flat-cocoa.h \
		-I/System/Library/Frameworks/AppKit.framework/Headers \
		/System/Library/Frameworks/AppKit.framework/Headers/AppKit.h
        
cocoa-wrappers.dylan:
	../tools/i2d --module cocoa-wrappers -header AppKit/Appkit.h flat-cocoa.h
	
cocoa-exports.dylan:
	make-exports cocoa-exports.input cocoa-basics.dylan cocoa-wrappers.dylan

cocoa.lib.du:
	/usr/local/bin/d2c ./cocoa.lid

compile: flat-cocoa.h cocoa-wrappers.dylan cocoa-exports.dylan cocoa.lib.du

clean: 
	-rm -f *.o *.s *.a *.c *.mak *~ 
	-rm -f flat-cocoa.h cocoa-wrappers.dylan cocoa-wrappers-continued.dylan cocoa-exports.dylan cocoa.lib.du
	-rm -rf .libs

install:

=== platform/gtk+/gobject2-tool/Makefile ===
../gtk+/gtk.intr: gobject2-tool
	./gobject2-tool > ../gtk2/gtk.intr

gobject2-tool: gobject2-tool.c
	gcc -o gobject2-tool gobject2-tool.c `pkg-config --cflags --libs gtk+-2.0`

=== platform/gtk+/gtk2/Makefile ===
all: gtk-2.lib.du

gtk.dylan: gtk.intr gtk-includes.h
	melange --no-struct-accessors --d2c -I`gcc --print-file-name=include` `pkg-config --cflags gtk+-2.0` -m gtk-module.dylan, gtk.intr gtk.dylan,
	mv gtk-module.dylan, gtk-module.dylan
	mv gtk.dylan, gtk.dylan

gtk-2-internal.lib.du: gtk.lid gtk-library.dylan gtk.dylan gtk-internal-support.dylan gtk-more-module.dylan
	CCOPTS=" `pkg-config --cflags gtk+-2.0`" d2c --static -g gtk.lid

gtk-2.lib.du: gtk-support.lid gtk-support-library.dylan gtk-support.dylan gtk-2-internal.lib.du
	CCOPTS=" `pkg-config --cflags gtk+-2.0`" d2c --static -g gtk-support.lid

hello-world: hello-world.dylan gtk-2.lib.du gtk-2-internal.lib.du
	CCOPTS=" `pkg-config --cflags gtk+-2.0`" d2c -g hello-world.dylan
